
Infrastructure - Feature #1873

Postproccessing tool for log reporting

2011-10-20 23:03 - Heather Piwowar

Status: New Start date: 2011-10-20

Priority: Normal Due date: 2014-10-02

Assignee:  % Done: 0%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: Release Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version:    

Description

Single ID token to represent a given person in log files:

Use a single identification token to represent all identities for given person's registration when recording events in the log files.

(This is an "eventually it would be nice" request)

History

#1 - 2012-01-06 04:23 - Dave Vieglais

- Position set to 3

#2 - 2012-02-08 22:04 - Matthew Jones

- Category set to d1_log_aggregation

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

- Subject changed from Single ID token to represent a given person in log files to Postproccessing tool for log reporting

If we were to use a single token to represent all of a person's identities in the log, then we would lose information regarding which of those identities

they used when accessing a service.  The DataONE identity_manager keeps track of which user identities are equivalent, so its a straightforward task

to post-process a log to collapse all equivalent identities onto a single identity if that is needed for a report or summary.  Thus, we've concluded that

its probably harmful to do this during the logging operation itself.  Thus, these are needs for tools for post-processing logs in various ways (e.g., for

identitiy equivalence here, or for identity anonymization as described in ticket #1872), so I am converting this ticket to a feature request for a new tool,

rather than as a change in how logging is conducted per se.

#3 - 2014-10-02 17:06 - Dave Vieglais

- Due date set to 2014-10-02

- Target version set to Release Backlog

- translation missing: en.field_remaining_hours set to 0.0
